SDL_GetGamepadPlayerIndex(3)

NAME
SDL_GetGamepadPlayerIndex - Get the player index of an opened gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

int SDL_GetGamepadPlayerIndex(SDL_Gamepad *gamepad);

DESCRIPTION
For XInput gamepads this returns the XInput user index.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the player index for gamepad, or -1 if it's not available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetGamepadPlayerIndex(3)